import { PublicKey } from "@solana/web3.js";
import { useNetworkConfiguration } from "contexts/NetworkConfigurationProvider";
import { FC } from "react";

export const ExplorerLink: FC<{account:PublicKey}> = ({account}) => {
    const id = account.toBase58();
    const {networkConfiguration} = useNetworkConfiguration();
  
    return (
      <a
        className="flex flex-row link link-accent"
        href={
          "https://explorer.solana.com/address/" +
          id +
          `?cluster=${networkConfiguration}`
        }
        target="_blank"
        rel="noreferrer"
      >
        <svg
          className="flex-shrink-0 h-4 ml-2 mt-0.5 text-primary-light w-4"
          xmlns="http://www.w3.org/2000/svg"
          fill="none"
          viewBox="0 0 24 24"
          stroke="currentColor"
        >
          <path
            strokeLinecap="round"
            strokeLinejoin="round"
            strokeWidth="2"
            d="M10 6H6a2 2 0 00-2 2v10a2 2 0 002 2h10a2 2 0 002-2v-4M14 4h6m0 0v6m0-6L10 14"
          ></path>
        </svg>
        <div className="flex mx-4">
          {id.slice(0, 8)}...
          {id.slice(id.length - 8)}
        </div>
      </a>
    );
  };
  